Bug 145913 - [PATCH] graphics/mupdf: update to r940
[PATCH] graphics/mupdf: update to r940
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Dmitry Marakasov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-21 11:30 UTC by martin.dieringer
Modified: 2010-04-27 20:10 UTC (History)
0 users

See Also:


Attachments
mupdf-r940,1.patch (1.63 KB, patch)
2010-04-21 11:30 UTC, martin.dieringer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description martin.dieringer 2010-04-21 11:30:03 UTC
- Update to r940

Generated with FreeBSD Port Tools 0.99
Comment 1 Dmitry Marakasov freebsd_committer 2010-04-21 19:14:37 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 amdmi3 2010-04-27 13:41:35 UTC
* Martin Dieringer (martin.dieringer@gmx.de) wrote:

> -MASTER_SITES=	http://ccxvii.net/mupdf/download/
> +MASTER_SITES=	http://mupdf.com/download/

The host is down, but I can add MASTER_SITE_NETBSD to the list,
they seem to have the distfile. Also, WWW in pkg-descr should be
changed as well.

> +.include <bsd.port.pre.mk>
> +

Why is this needed? ARCH, OSVERSION and other commonly used stuff is set
in options.mk.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 martin.dieringer 2010-04-27 14:08:38 UTC
mupdf.com is up for me ...
new patch:


--- mupdf-r940,1.patch begins here ---
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/Makefile /data/compile/ports/mupdf/Makefile
--- /usr/ports/graphics/mupdf/Makefile	2010-02-23 04:17:08.000000000 +0100
+++ /data/compile/ports/mupdf/Makefile	2010-04-27 15:05:39.512960740 +0200
@@ -2,13 +2,13 @@
  # Date created:		2009-08-07
  # Whom:			Martin Dieringer <martin.dieringer@gmx.de>
  #
-# $FreeBSD: ports/graphics/mupdf/Makefile,v 1.5 2010/02/22 11:41:10 nemoliu Exp $
+# $FreeBSD: ports/graphics/mupdf/Makefile,v 1.4 2010/02/05 11:39:01 dinoex Exp $

  PORTNAME=	mupdf
-PORTVERSION=	r938
+PORTVERSION=	r940
  PORTEPOCH=	1
  CATEGORIES=	graphics
-MASTER_SITES=	http://ccxvii.net/mupdf/download/
+MASTER_SITES=	http://mupdf.com/download/

  MAINTAINER=	martin.dieringer@gmx.de
  COMMENT=	Lightweight PDF viewer and toolkit
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/distinfo /data/compile/ports/mupdf/distinfo
--- /usr/ports/graphics/mupdf/distinfo	2010-02-23 04:17:08.000000000 +0100
+++ /data/compile/ports/mupdf/distinfo	2010-04-21 01:29:13.509377934 +0200
@@ -1,3 +1,3 @@
-MD5 (mupdf-r938.tar.gz) = b3486973695fc565d13bf720d154e325
-SHA256 (mupdf-r938.tar.gz) = 0db34d53e66d76857a171a7fbd7dd7b98e6afed6e8fcadee71e239f8653b547f
-SIZE (mupdf-r938.tar.gz) = 3611931
+MD5 (mupdf-r940.tar.gz) = 30463110385d5279b0ba1b5d1907908b
+SHA256 (mupdf-r940.tar.gz) = ed00e461f3ad03ee9d7634abdd183f843e41367b6326809255a4b216f452c9bf
+SIZE (mupdf-r940.tar.gz) = 3611853
diff -ruN --exclude=CVS /usr/ports/graphics/mupdf/pkg-descr /data/compile/ports/mupdf/pkg-descr
--- /usr/ports/graphics/mupdf/pkg-descr	2009-11-11 17:38:48.000000000 +0100
+++ /data/compile/ports/mupdf/pkg-descr	2010-04-27 15:04:53.726161580 +0200
@@ -15,4 +15,4 @@
  encrypting PDF files, extracting fonts, images, and searchable text, and
  rendering pages to image files is provided.

-WWW: http://ccxvii.net/mupdf/
+WWW: http://mupdf.com/
--- mupdf-r940,1.patch ends here ---
Comment 4 amdmi3 2010-04-27 15:31:08 UTC
* Martin Dieringer (martin.dieringer@gmx.de) wrote:

> mupdf.com is up for me ...

Seems to be a DNS issue.

ns1.ghostscript.com returns 184.73.189.105, while
ns2.ghostscript.com returns 174.129.206.77 (which doesn't work)

so there's 50% change to hit the wrong one. I'll add NETBSD to
MASTER_SITES if you don't mind, to fix this and improve availability.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 martin.dieringer 2010-04-27 16:39:02 UTC
better use www.mupdf.com instead? that seems to work better


On Tue, 27 Apr 2010, Dmitry Marakasov wrote:

> * Martin Dieringer (martin.dieringer@gmx.de) wrote:
>
>> mupdf.com is up for me ...
>
> Seems to be a DNS issue.
>
> ns1.ghostscript.com returns 184.73.189.105, while
> ns2.ghostscript.com returns 174.129.206.77 (which doesn't work)
>
> so there's 50% change to hit the wrong one. I'll add NETBSD to
> MASTER_SITES if you don't mind, to fix this and improve availability.
>
>
Comment 6 dfilter freebsd_committer 2010-04-27 20:07:02 UTC
amdmi3      2010-04-27 19:06:53 UTC

  FreeBSD ports repository

  Modified files:
    graphics/mupdf       Makefile distinfo pkg-descr 
  Log:
  - Update to r940
  - Update MASTER_SITES
  
  PR:             145913
  Submitted by:   Martin Dieringer <martin.dieringer@gmx.de> (maintainer)
  
  Revision  Changes    Path
  1.6       +2 -2      ports/graphics/mupdf/Makefile
  1.4       +3 -3      ports/graphics/mupdf/distinfo
  1.2       +1 -1      ports/graphics/mupdf/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Dmitry Marakasov freebsd_committer 2010-04-27 20:07:28 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 8 amdmi3 2010-04-27 20:07:54 UTC
* Martin Dieringer (martin.dieringer@gmx.de) wrote:

> better use www.mupdf.com instead? that seems to work better

True, thanks.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru